/* open knowledge base file and retrieve full XML filename */
/* number of singletons and number of data sources (=samples=n) */
/* also returns the names of all groups present in the file in **stat_XML */
/* mem for **group is allocated and caller has to free it! */
/* returns NULL if something went wrong */
char **stat_XML ( char *file, long *no_singletons, long *n, char *xmlfile );
/* get all groups with CONST evidence from XML knowledge base */
/* file and store evidence as Shypothesis */
/* normalisation is on, if norm=1, off otherwise */
Shypothesis *get_const_samples_XML ( char* file, char* group, int norm, BOOL **garbage );
Shypothesis *get_rast_samples_XML ( char* file, char* group, int group_idx, int norm, BOOL **garbage );

/* get names of hypotheses from XML file */
char **get_hyp_names_XML ( char *xmlfile, int *no_all_hyps );

int test_rast_XML ( char *filename, char **groups );
void close_rasters ( void );
